Website Builder API
POST /services/websites/v1/files/visitor-delete Public

Delete Uploaded File

Request Body Required

FieldTypeRequiredDescriptionExample
form_id string Yes ID of the form the file belongs to
filePath string Yes S3 file path (sanitized) of the file to delete

Responses

200
422
429
Successful response
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
FieldTypeDescription
succes boolean
Validation error
FieldTypeDescription
message string Errors overview.
errors object A detailed description of each field that failed validation.
Too Many Requests — rate limit exceeded
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
Retry-After integer Seconds until the rate limit resets 60
FieldTypeDescription
error boolean
message string
Base URL
https://api.wemasy.nl/api
Authentication

Request Sample
cURL
JS
PHP
Python
curl -X POST "https://api.wemasy.nl/api/services/websites/v1/files/visitor-delete" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
    "form_id": "string",
    "filePath": "string"
}'
fetch('https://api.wemasy.nl/api/services/websites/v1/files/visitor-delete', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer YOUR_API_TOKEN',
    'Accept': 'application/json',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    "form_id": "string",
    "filePath": "string"
})})
.then(r => r.json())
.then(data => console.log(data));
$response = Http::withToken('YOUR_API_TOKEN')
    ->accept('application/json')
    ->post('https://api.wemasy.nl/api/services/websites/v1/files/visitor-delete', {
    "form_id": "string",
    "filePath": "string"
});
$data = $response->json();
import requests

headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
data = {
    "form_id": "string",
    "filePath": "string"
}
r = requests.post("https://api.wemasy.nl/api/services/websites/v1/files/visitor-delete", headers=headers, json=data)
print(r.json())
Response Example
{
    "succes": true
}

Try It
Request Body Required

Export